- name: Install partition schema version file
  copy:
    src: version
    dest: "{{ asset_root_directory }}/version"

- name: Create ubuntu EFI directory
  file:
    state: directory
    path: "{{ asset_root_directory }}/EFI/ubuntu"

- name: Install grub bootloader
  get_url:
    url: "{{ grub_efi_url }}"
    dest: "{{ asset_root_directory }}/EFI/ubuntu/grubx64.efi"
    checksum: "sha1:{{ grub_efi_sha1 }}"

- name: Install grub configuration
  template:
    src: grub.cfg
    dest: "{{ asset_root_directory }}/EFI/ubuntu/grub.cfg"

- name: Create /etc/zoox/ for metadata file
  file:
    path: "{{ asset_root_directory }}/etc/zoox/"
    state: directory
